Subject: RE: Brew Buddy - Project Update
From: Minh Nguyen <[email-masked]>
To: Sam Ward <[email-masked]>, Jeff Kilby <[email-masked]>
Cc: Michael Anthony Emmerson <[email-masked]>, Jacob Boon <[email-masked]>
Date: Thu, 7 Oct 2021 09:20:32 +1300

Hi Sam,

Yes, for BCIS, the front end development from you would be good enough for the project.

It would be good to make a video demo to show the functionality and what you have made for this project in terms of software development.

And yes, I can judge and give marks on the portfolio 55% and poster 10%, being an individual effort.

We will definitely organise a time for the poster presentation in week 14.

I can act as the client, and once after the poster/demo/video presentation, I can write client feedback and also give marks on that component for you.

Cheers,

Dr Minh Nguyen MSc, PhD, FHEA

Programme Director - Bachelor of Computer and Information System, School of Engineering, Computer & Mathematical Sciences, room WS307D

Auckland University of Technology

P +64 9 921 9999 ext 8214    M +64 21 175 4956    E [email-masked]    W aut.ac.nz

From: Sam Ward <[email-masked]>
Sent: Thursday, 7 October 2021 5:56 am
To: Jeff Kilby <[email-masked]>; Minh Nguyen <[email-masked]>
Cc: Michael Anthony Emmerson <[email-masked]>; Jacob Boon <[email-masked]>
Subject: Brew Buddy - Project Update

Good Morning Jeff and Minh,

Figured you are about due an update on the project.

PCB design was completed a while back and parts ordered through Justin. Due to level four we ended up having the parts sent to my address and I just soldered the board at home. Attached are some images from Altium and pictures of the board itself. Unfortunately I won’t be able to test any of the 230V side as we don’t have an enclosure (can’t get to work to use the laser cutter), I may look at printing one at home but again without access to work we can’t get it PAT tested so have decided to just write this off as “due to COVID” and move on.

We decided to move away from the cross platform native app and instead focus on a web app first as it would be beneficial to run it on a PC or laptop in the browser, so instead of using Xamarin I have done the frontend development in Vue.js using the Vuetify framework. I will hopefully also port this to an android app using Vue Capacitor, I tested this early on in development and the app worked fine but had some connectivity issues to the microcontroller, so will see how that goes. I won’t be doing an iOS version as I don’t have a device to test it on but I imagine it would be similar to android. We encountered an issue with running out of flash memory on the ESP32 so I ended up moving the front dist files to a web server acting as a CDN, unfortunately this means the app is no longer fully offline as originally proposed. We plan for this to be a temporary fix for the sake of completing the project, but long term would look at integrating an SD card to the board to expand memory.

The micro code is pretty well finished, functions for interacting with the various components/sensors completed (WPS button, servo valve control, flow meters, temperature sensors, read/write to NVS etc.), now just finishing up some work on the automation algorithms to bring everything together for testing.

As far as the app itself goes it is mostly complete, with functionality working as intended. The aesthetics leave a bit to be desired and the code craft could definitely do with some work. I’m not likely to get around to doing push notifications as these require a third party service, while they would be a nice quality of life improvement, as a team we decided they aren’t necessary and not worth the extra time input. Here is a link to an interactive mock up I did for the design and to help with development. I have hosted a version of the front only to allow you to experience the app without the need for the board, can be found at http://bbfrontv7.avcl.co.nz/. Some features will be lacking without the backend but it should give you a good feel for the app and an idea of how Brew Buddy operates.

This week we will hopefully be finishing off any remaining integration between the server and micro code. I will continue with tweaking some of the frontend aesthetics and data constraints, as well as a general tidy up of the code, but over all we are pretty happy with the status of the project now.

A couple of things to cover off with you guys:

Jeff - The BEngTech report is due next Tuesday the 12th October, however the BCIS report is not due until Monday the 1st of November. There has been some concerns among the team as to the differing level of project completion between these two dates, therefore we propose extending the due date of the BEngTech report to coincide with that of the BCIS one. Would you be opposed to this suggestion, and are you able to approve it? We do have the option to use the automatic COVID extension to move the due date by a week, which we can do to make it official if that helps, but ideally the extension would be two weeks. Also, any insight into particulars you may be looking for, for your 40% supervisor assessment Jeff?

Minh - As the BCIS is a bit more involved it would be good to discuss with you your expectations around the BCIS components, as from what I understand you are responsible for 60% of the mark? Mostly pertaining to the portfolio 55% and poster 10%, being an individual effort. Will need to organise with you and Ramesh a time for the poster presentation in week 14. As we don’t have a client what do you want me to do for the client feedback (5%)?

Would it be worth having a Teams catch up on Friday or next week?

Next steps for us are to figure out what we are able to demonstrate and how, we won’t have a full system built due to the 230V stuff and COVID stopping us from actually getting together to physically build it, but we should be able to at least demonstrate the individual components and a simulation of the automation. Will also be polishing off little bits here and there where we can,  but again ultimately we are very happy with where the project currently stands and the amount of work we have put in, with our main focus now moving to work on the reports and documentation.

Cheers,

Sam.